cascading

## Class FieldedPipesPlatformTest.LowerComparator

- java.lang.Object
- - cascading.FieldedPipesPlatformTest.LowerComparator

All Implemented Interfaces:
  Hasher<java.lang.Comparable>, java.io.Serializable, java.util.Comparator<java.lang.Comparable>

Enclosing class:
  FieldedPipesPlatformTest

    public static class FieldedPipesPlatformTest.LowerComparator
    extends java.lang.Object
    implements java.util.Comparator<java.lang.Comparable>, Hasher<java.lang.Comparable>, java.io.Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FieldedPipesPlatformTest.LowerComparator()`

### Method Summary

Methods
`int` `compare(java.lang.Comparable lhs, java.lang.Comparable rhs)`
`int` `hashCode(java.lang.Comparable value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### FieldedPipesPlatformTest.LowerComparator

    public FieldedPipesPlatformTest.LowerComparator()

### Method Detail

#### compare

    public int compare(java.lang.Comparable lhs,
              java.lang.Comparable rhs)

Specified by:
  `compare` in interface `java.util.Comparator<java.lang.Comparable>`

#### hashCode

    public int hashCode(java.lang.Comparable value)

Specified by:
  `hashCode` in interface `Hasher<java.lang.Comparable>`